All Classes Namespaces Functions Variables Groups Pages
MysqlSqlUtil::MysqlFunction Class Reference

represents a MySQL-specific function More...

Inheritance diagram for MysqlSqlUtil::MysqlFunction:
[legend]

## Public Member Functions

private bool | equalImpl (AbstractFunctionBase t)
| returns True if the argument is equal to the current object, False if not
softlist | getCreateSql (*hash opt)
| returns a string that can be used to create the function in the database
string | getDropSql ()
| returns a string that can be used to drop the function from the database
softlist | getRenameSql (string new_name)
| returns a string that can be used to rename the function in the database

## Detailed Description

represents a MySQL-specific function